Page MenuHomePhabricator

Deploy ORES filters for zhwiki
Closed, ResolvedPublic

Description

zhwiki models are scheduled for deployment Monday, June 17th. ORES filters will need to be configured for Special:RecentChanges

Details

Related Gerrit Patches:

Event Timeline

Halfak created this task.Jun 11 2019, 7:32 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJun 11 2019, 7:32 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
Shizhao moved this task from Backlog to Site configuration on the Chinese-Sites board.
kostajh moved this task from Inbox to Q2 2019-20 on the Growth-Team board.Jul 16 2019, 9:43 PM
kostajh added a subscriber: kostajh.

Tentatively scheduling for Q2; if you need it sooner please let us know.

vagrant@vagrant:/vagrant/mediawiki$ mwscript extensions/ORES/maintenance/ConfigureThresholds.php -m damaging -t zhwiki
Configuring damaging on zhwiki

MIN	MAX	CONFIG	PREC	REC	FILTER
0	0.941	P 0.15	0.96	1	
0	0.941	P 0.45	0.96	1	
0	0.941	P 0.6	0.96	1	
0	0.941	P 0.75	0.96	1	
0	0.941	P 0.9	0.96	1	
0	0.289	P 0.98	0.98	0.983	
0	0.028	P 0.99	0.99	0.733	likelygood (selected)
0	0.004	P 0.995	1	0	likelygood (default)
0	0.048	R 0.9	0.985	0.904	
0.037	1	P 0.15	0.154	0.762	maybebad (selected)
0.079	1	P 0.45	0.452	0.603	
0.423	1	P 0.6	0.6	0.496	likelybad (default, selected)
0.69	1	P 0.75	0.772	0.088	
	1	P 0.9			verylikelybad (default, disabled)
	1	P 0.98			
	1	P 0.99			
	1	P 0.995			
0.021	1	R 0.9	0.085	0.904	maybebad (default)


vagrant@vagrant:/vagrant/mediawiki$ mwscript extensions/ORES/maintenance/ConfigureThresholds.php -m goodfaith -t zhwiki
Configuring goodfaith on zhwiki

MIN	MAX	CONFIG	PREC	REC	FILTER
0	0.968	P 0.15	0.154	0.761	maybebad (selected)
0	0.93	P 0.45	0.479	0.636	likelybad (selected)
0	0.545	P 0.6	0.601	0.383	likelybad (default)
0	0.39	P 0.75	0.754	0.091	verylikelybad (selected)
0	0.241	P 0.9	0.911	0.023	
0	1	P 0.98			
0	1	P 0.99			
0	1	P 0.995			
0	0.981	R 0.9	0.08	0.905	maybebad (default)
0.157	1	P 0.15	0.968	1	
0.157	1	P 0.45	0.968	1	
0.157	1	P 0.6	0.968	1	
0.157	1	P 0.75	0.968	1	
0.157	1	P 0.9	0.968	1	
0.559	1	P 0.98	0.98	0.991	
0.966	1	P 0.99	0.991	0.889	likelygood (selected)
0.982	1	P 0.995	0.995	0.656	likelygood (default)
0.964	1	R 0.9	0.99	0.903

Change 528537 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Enable and configure ORES damaging and goodfaith on zhwiki

https://gerrit.wikimedia.org/r/528537

Catrope added a subscriber: Catrope.Sep 3 2019, 6:50 PM

Scheduled for deployment in today's evening SWAT window (23:00-00:00 UTC)

Change 528537 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure ORES damaging and goodfaith on zhwiki

https://gerrit.wikimedia.org/r/528537

Mentioned in SAL (#wikimedia-operations) [2019-09-03T23:28:34Z] <niharika29@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable and configure ORES damaging and goodfaith on zhwiki T225562 (duration: 00m 58s)

Shizhao closed this task as Resolved.Sep 4 2019, 2:27 AM
Shizhao added a subscriber: Shizhao.

It' working.

@zhuyifei1999, you can finally test this on Special:RecentChanges!